db-derby-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Wiki <wikidi...@apache.org>
Subject [Db-derby Wiki] Update of "TenTwoRelease" by RichardHillegas
Date Fri, 29 Sep 2006 19:59:20 GMT
Dear Wiki user,

You have subscribed to a wiki page or wiki category on "Db-derby Wiki" for change notification.

The following page has been changed by RichardHillegas:

  All changes on the trunk from the time the 10.2 branch was created and ending with subversion
revision 448950 for code and 448988 for documentation  (excluding the above) were merged into
the 10.2 branch. Bulk merges occurred on August 18, August 25, September 1, September 8, September
15, and September 22, 2006.
+ == Building the Optional JDBC4 Support ==
+ Due to licensing restrictions, the 10.2 release does not contain compiled support for JDBC4.
Instead, when you run Derby 10.2 on JDK 1.6, you will see Derby's JDBC3 drivers. If you would
like to test-drive the JDBC4 drivers, you may build the optional JDBC4 support yourself. Please
do the following:
+  * Download the -bin and -src distributions of Derby 10.2.1and unzip them.
+  * Set the environment variable DERBY_HOME in your shell environment to the location where
you have unzipped the -bin distribution.
+  * Set the environment variable JAVA_HOME in your shell environment to the location of a
JDK 1.6 JVM. Make sure that this is the version of JDK 1.6 mentioned in the "JDBC 4.0 Support"
section of the Release Notes. Derby 10.2.1 may not compile or run correctly if you use a different
version of the JDK.
+  * In your shell, change directory into the tools/jdbc4 directory where you unzipped the
-src distribution.
+  * Run the update-with-jdbc4 script (or batch file on Windows), and the jars in $DERBY_HOME/lib
will be updated with the necessary JDBC 4 support classes.

View raw message